cURL
curl --request GET \
--url https://api.yoshi.ai/v1/income \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
income = client.income.retrieve()
print(income.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const income = await client.income.retrieve();
console.log(income.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
income, err := client.Income.Get(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", income.Data)
}
yoshi income retrieve \
--api-key 'My API Key'{
"data": {
"generated_at": "<string>",
"window": {
"start": "<string>",
"end": "<string>",
"months": 123
},
"monthly_income": 123,
"variability": {
"min": 123,
"max": 123,
"range": 123
},
"expenses": {
"amount": 123,
"percent": 123,
"breakdown": {}
},
"debt": {
"amount": 123,
"percent": 123,
"breakdown": {}
},
"emergency_fund": {
"amount": 123,
"percent": 123,
"breakdown": {}
},
"investments": {
"amount": 123,
"percent": 123,
"breakdown": {}
}
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}Income
Get income analysis
Get income analysis and distribution.
GET
/
income
cURL
curl --request GET \
--url https://api.yoshi.ai/v1/income \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
income = client.income.retrieve()
print(income.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const income = await client.income.retrieve();
console.log(income.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
income, err := client.Income.Get(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", income.Data)
}
yoshi income retrieve \
--api-key 'My API Key'{
"data": {
"generated_at": "<string>",
"window": {
"start": "<string>",
"end": "<string>",
"months": 123
},
"monthly_income": 123,
"variability": {
"min": 123,
"max": 123,
"range": 123
},
"expenses": {
"amount": 123,
"percent": 123,
"breakdown": {}
},
"debt": {
"amount": 123,
"percent": 123,
"breakdown": {}
},
"emergency_fund": {
"amount": 123,
"percent": 123,
"breakdown": {}
},
"investments": {
"amount": 123,
"percent": 123,
"breakdown": {}
}
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}Authorizations
A Yoshi API key from Settings → API Keys, or a Yoshi OAuth access token issued by Sign in with Yoshi.
Response
Income data retrieved.
Hide child attributes
Hide child attributes
Last modified on June 18, 2026
Was this page helpful?